Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.server
Class OwlStateMachine

    java.lang.Object
      edu.stanford.smi.protegex.owl.server.OwlStateMachine

All Implemented Interfaces:
  edu.stanford.smi.protege.server.framestore.background.ServerCacheStateMachine

    public class OwlStateMachine

extends Object
implements edu.stanford.smi.protege.server.framestore.background.ServerCacheStateMachine

Constructor Summary
`OwlStateMachine(edu.stanford.smi.protege.model.framestore.FrameStore fs, OWLModel model)`

Method Summary
`edu.stanford.smi.protege.server.framestore.background.ServerCachedState` | `getInitialState()`
`OwlState` | `nextState(edu.stanford.smi.protege.server.framestore.background.ServerCachedState state, edu.stanford.smi.protege.model.Frame beginningFrame, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Frame endingFrame)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OwlStateMachine

    public OwlStateMachine(edu.stanford.smi.protege.model.framestore.FrameStore fs,
                           OWLModel model)

Method Detail

### getInitialState

    public edu.stanford.smi.protege.server.framestore.background.ServerCachedState getInitialState()

  Specified by:
    `getInitialState` in interface `edu.stanford.smi.protege.server.framestore.background.ServerCacheStateMachine`

### nextState

    public OwlState nextState(edu.stanford.smi.protege.server.framestore.background.ServerCachedState state,
                              edu.stanford.smi.protege.model.Frame beginningFrame,
                              edu.stanford.smi.protege.model.Slot slot,
                              edu.stanford.smi.protege.model.Frame endingFrame)

  Specified by:
    `nextState` in interface `edu.stanford.smi.protege.server.framestore.background.ServerCacheStateMachine`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.